Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAccountType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class VoiceAccountType
    extends VoiceAccountTypeAbstract

Класс-модель типа аккаунта модуля Voice. Содержит информацию о том, что из себя может представлять аккаунт (поинт, правило, логин в понятиях модулей Phone/VoiceIP). Можно использовать как справочник: getContext().getDirectory( VoiceAccountType.class )...

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `isOperator`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceAccountType()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte` | `getSessionCountLimit()` |
  `java.lang.String` | `getStatusConfig()` |
  `boolean` | `isCheckPassword()` | Флаг отвечает за необходимость включения проверки пароля.
  `boolean` | `isNeedDevice()` |
  `boolean` | `isNeedLines()` |
  `boolean` | `isNeedLogin()` |
  `boolean` | `isNeedObject()` |
  `boolean` | `isNeedPhone()` |
  `boolean` | `isNeedPorts()` |
  `boolean` | `isSessionCountLimitLock()` |
  `void` | `setCheckPassword​(boolean checkPassword)` | Устанавливает флаг необходимости проверки пароля для аккаунта.
  `void` | `setNeedDevice​(boolean needDevice)` |
  `void` | `setNeedLines​(boolean needLines)` |
  `void` | `setNeedLogin​(boolean needLogin)` |
  `void` | `setNeedObject​(boolean needObject)` |
  `void` | `setNeedPhone​(boolean needPhone)` |
  `void` | `setNeedPorts​(boolean needPorts)` |
  `void` | `setSessionCountLimit​(byte sessionCountLimit)` |
  `void` | `setSessionCountLimitLock​(boolean sessionCountLimitLock)` |
  `void` | `setStatusConfig​(java.lang.String statusConfig)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `getConfig, isOperator, setConfig`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceAccountType

    public VoiceAccountType()

- ## Method Details

  - ### isNeedObject

    public boolean isNeedObject()

  - ### setNeedObject

    public void setNeedObject​(boolean needObject)

  - ### isNeedPhone

    public boolean isNeedPhone()

  - ### setNeedPhone

    public void setNeedPhone​(boolean needPhone)

  - ### isCheckPassword

    public boolean isCheckPassword()
    Флаг отвечает за необходимость включения проверки пароля. Например, для входящих звонков не нужно проверять пароль.
    Returns:
      Возможные значения:
  - true - надо проверять;
  - false - не надо проверять.

- ### setCheckPassword

  public void setCheckPassword​(boolean checkPassword)
  Устанавливает флаг необходимости проверки пароля для аккаунта.
  Parameters:
    `checkPassword` - Возможные значения:
- true - надо проверять;
- false - не надо проверять.

- ### isNeedLogin

  public boolean isNeedLogin()

- ### setNeedLogin

  public void setNeedLogin​(boolean needLogin)

- ### getSessionCountLimit

  public byte getSessionCountLimit()

- ### setSessionCountLimit

  public void setSessionCountLimit​(byte sessionCountLimit)

- ### isSessionCountLimitLock

  public boolean isSessionCountLimitLock()

- ### setSessionCountLimitLock

  public void setSessionCountLimitLock​(boolean sessionCountLimitLock)

- ### isNeedDevice

  public boolean isNeedDevice()

- ### setNeedDevice

  public void setNeedDevice​(boolean needDevice)

- ### isNeedPorts

  public boolean isNeedPorts()

- ### setNeedPorts

  public void setNeedPorts​(boolean needPorts)

- ### isNeedLines

  public boolean isNeedLines()

- ### setNeedLines

  public void setNeedLines​(boolean needLines)

- ### getStatusConfig

  public java.lang.String getStatusConfig()

- ### setStatusConfig

  public void setStatusConfig​(java.lang.String statusConfig)